﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MyFirstPictureGallery
{
    abstract class Shape : IPicture
    {
        public abstract Size Size { get; }

        public Color Colour { get; private set; }

        public Shape(Color colour)
        {
            Colour = colour;
        }

        public abstract void Draw(Graphics g, int x, int y);
    }
}
