﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MyFirstPictureGallery
{
    class Circle : Shape
    {
        public override Size Size
        {
            get { return new Size(160, 160); }
        }

        public Circle(Color colour)
            : base(colour) { }

        public override void Draw(Graphics g, int x, int y)
        {
            g.FillEllipse(new SolidBrush(Colour),
                new Rectangle((20 - x), (20 - y), 120, 120));
        }

        public override string ToString()
        {
            return "Circle";
        }
    }
}
