﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MyFirstPictureGallery
{
    class Square : Shape
    {
        public override Size Size
        {
            get { return new Size(120, 120); }
        }

        public Square(Color colour)
            : base(colour) { }

        public override void Draw(Graphics g, int x, int y)
        {
            g.FillRectangle(new SolidBrush(Colour),
                new Rectangle((10 - x), (10 - y), 100, 100));
        }

        public override string ToString()
        {
            return "Square";
        }
    }
}
