﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MyFirstPictureGallery
{
    class Triangle : Shape
    {
        public override Size Size
        {
            get { return new Size(200, 170); }
        }

        public Triangle(Color colour)
            : base(colour) { }

        public override void Draw(Graphics g, int x, int y)
        {
            g.FillPolygon(new SolidBrush(Colour),
                new Point[] { new Point((100 - x), (10 - y)),
                    new Point((180 - x), (160 - y)),
                    new Point((20 - x), (160 - y)) });
        }

        public override string ToString()
        {
            return "Triangle";
        }
    }
}
